'use client';
import React, { createContext, useContext, useState } from 'react';
import { useConfig } from '../Config/index.js';
const Context = /*#__PURE__*/ createContext({});
export const useListInfo = ()=>useContext(Context);
export const ListInfoProvider = ({ children, ...rest })=>{
    const [listInfo, setListInfo] = useState({
        ...rest
    });
    const { collections, globals, routes: { api }, serverURL } = useConfig();
    const value = {
        ...listInfo
    };
    return /*#__PURE__*/ React.createElement(Context.Provider, {
        value: value
    }, children);
};

//# sourceMappingURL=index.js.map