'use client';
import React from 'react';
const FieldPathContext = /*#__PURE__*/ React.createContext({
    path: '',
    schemaPath: ''
});
export const FieldPathProvider = (props)=>{
    const { children, path, schemaPath } = props;
    return /*#__PURE__*/ React.createElement(FieldPathContext.Provider, {
        value: {
            path,
            schemaPath
        }
    }, children);
};
export const useFieldPath = ()=>{
    const path = React.useContext(FieldPathContext);
    return path;
};

//# sourceMappingURL=index.js.map