'use client';
import React from 'react';
import RenderFields from '../../RenderFields/index.js';
import { withCondition } from '../../withCondition/index.js';
import { fieldBaseClass } from '../shared.js';
import { RowProvider } from './provider.js';
const baseClass = 'row';
const Row = (props)=>{
    const { className, fieldMap, forceRender = false, indexPath, permissions, readOnly } = props;
    return /*#__PURE__*/ React.createElement(RowProvider, null, /*#__PURE__*/ React.createElement("div", {
        className: [
            fieldBaseClass,
            baseClass,
            className
        ].filter(Boolean).join(' ')
    }, /*#__PURE__*/ React.createElement(RenderFields, {
        className: `${baseClass}__fields`,
        fieldMap: fieldMap,
        forceRender: forceRender,
        // indexPath={indexPath}
        margins: false
    })));
};
export default withCondition(Row);

//# sourceMappingURL=index.js.map